Package org.bukkit.generator

# Class BiomeProvider

java.lang.Object
org.bukkit.generator.BiomeProvider

public abstract class BiomeProvider extends Object
Class for providing biomes.

## Constructor Summary

Constructors
Constructor
Description
`BiomeProvider()`

## Method Summary

Modifier and Type
Method
Description
`abstract @NotNull Biome`
`getBiome(@NotNull WorldInfo worldInfo, int x, int y, int z)`
Return the Biome which should be present at the provided location.
`abstract @NotNull List<Biome>`
`getBiomes(@NotNull WorldInfo worldInfo)`
Returns a list with every biome the `BiomeProvider` will use for the given world.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BiomeProvider

public BiomeProvider()

## Method Details

### getBiome

@NotNull public abstract @NotNull Biome getBiome(@NotNull @NotNull WorldInfo worldInfo, int x, int y, int z)
Return the Biome which should be present at the provided location.

Notes:

This method must be completely thread safe and able to handle multiple concurrent callers.

This method should only return biomes which are present in the list returned by `getBiomes(WorldInfo)`

This method should never return `Biome.CUSTOM`.

Parameters:
  `worldInfo` - The world info of the world the biome will be used for
  `x` - The X-coordinate from world origin
  `y` - The Y-coordinate from world origin
  `z` - The Z-coordinate from world origin
Returns:
  Biome for the given location

### getBiomes

@NotNull public abstract @NotNull List<Biome> getBiomes(@NotNull @NotNull WorldInfo worldInfo)
Returns a list with every biome the `BiomeProvider` will use for the given world.

Notes:

This method only gets called once, when the world is loaded. Returning another list or modifying the values from the initial returned list later one, are not respected.

This method should never return a list which contains `Biome.CUSTOM`.

Parameters:
  `worldInfo` - The world info of the world the list will be used for
Returns:
  A list with every biome the `BiomeProvider` uses